iToo Software -  Unity Importer V1.0
====================================

## Description

With this tool you will be able to Import your Forest Pack scenes from 3dsMax into [Unity](https://www.unity3d.com/) game engine.

There are included two different versions of the import package

* iTooUnityImporter (Standard Import)
* iTooECSSamples (Importing using DOTS - Experimental)

Documentation: [Unity Exporter Reference](https://docs.itoosoft.com/unity)

## Getting Started

Just drag and drop your .forest files along the .fbx files generated by iToo's exporter or right click and select "Import New Asset"

You'll have to activate Show Preview Packages in Unity, Windows -> Package Manager
Once it compiles properly, open Assets -> Scenes -> SampleScene and enjoy.

## Prerequisites

        - Forest Pack Pro 7.x [link](https://www.itoosoft.com/forestpack).
        - Unity 2018 and upwards [link](https://www.unity3d.com/).

## ECS - Experimental Features

Unity’s Data oriented technology stack (DOTS) allows the programmers to improve performance on multicore processors. This feature is still experimental and is in constant evolution, 
the included scripts are only compatible and tested with specific versions of Unity 2018 and 2019.

### Required packages 

|                | Unity 2018             |Unity 2019 |
|----------------|:-----------------------|:----------|
|Burst           | >= 1.3.6               | >= 1.3.0  |
|Entities	     | >= 0.0.12-preview.24   | 0.11.1    |
|Hybrid Renderer | @ 0.0.1-preview.4      | 0.5.2     |

## License

Copyright © 2020 iToo Software, All Rights Reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the distribution must retain  this disclaimer as a "Third Party Notice" included in the readme or documentation.

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE DISTRIBUTED "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.Because of the various hardware and software environments into which this software may be put, NO WARRANTY OF FITNESS FOR  A PARTICULAR PURPOSE IS OFFERED OR IMPLIED.

These materials are not sponsored by or affiliated with Unity Technologies or its affiliates. “Unity” is a trademark or registered trademark of Unity Technologies or its affiliates 
in the U.S. and elsewhere.

***

For further information visit:

* [iToo Software Website](https://www.itoosoft.com/) - Main website
* [Documentation](https://www.itoosoft.com/unityexporter) - Exporter documentation
* [Unity ECS Documentation](https://docs.unity3d.com/Packages/com.unity.entities@0.14/manual/index.html) - The Unity Entity Component System


